function n = sizeof(type)
%  1.  NAME
%
%  sizeof - Return the size in bytes of a specified type
%
%  2.  SYNOPSIS
%
%  n = sizeof(type )
%
%  3.  DESCRIPTION
%
%  Calculates the required byte size for storing one of the builtin
%  Matlab types, such as float32, ... Note that not all types are
%  implemented, however it is straightforward to modify the file for
%  supporting more of them. See Matlab help on fread() for possible
%  types.  yet.
%
%  4.  PARAMETERS
%
%     type
%        String specifying the type.
%
%  5.  RETURNS
%
%     n  Number of bytes used to store specified type.
%
%  6.  AUTHORS
%
%  Pierre Jaccard, Geophysical Institute, University of Bergen, 1999
%

switch(type)
  case 'float32',
	 n = 4;
  case 'float64',
	 n = 8;
  otherwise,
	 error([ 'Type ' type ' not implemented yet' ]);
end

return;

